657-600-0865 | support@kddepot.com
Admin Portal USD ($) | EN
Menu
All Products Brands Catalog Wishlist Quote Request
Login Register
Help Contact
Filters
Brand
Price
Custom Range
to
Special Attributes

Pharmacy & Vaccine Refrigerator Freezer Combos

30 products

Products by Family

Pharmacy Solid Door
Pharmacy cu.ft Solid
Pharmacy Glass Door
Premier Pharmacy/Vaccine Refrigerator
Premier Pharmacy/Vaccine Stainless
Premier Vaccine Refrigerator
Accucold Wide Series
Accucold Vaccine Refrigerator/Freezer
Pharmacy Solid Door

4 products available

Image Product Name Mfr # Brand Price Availability
ABS Pharmacy 4.6 Cu. Ft. Solid Door Refrigerator/ 1.7 Cu. Ft. Solid Door Freezer
ABS Pharmacy 4.6 Cu. Ft. Solid Door Refrigerator/ 1.7 Cu. Ft. Solid Door Freezer
Mfr. #: PH-ABT-HC-RFC7S
American Biotech $3,139.00 In Stock
ABS Pharmacy Solid Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-20)
ABS Pharmacy Solid Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-...
Mfr. #: PH-ABT-HC-RFC1020
American Biotech $3,655.00 In Stock
ABS Pharmacy Solid Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-30)
ABS Pharmacy Solid Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-...
Mfr. #: PH-ABT-HC-RFC1030
American Biotech $3,915.00 In Stock
ABS Pharmacy Solid Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-40)
ABS Pharmacy Solid Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-...
Mfr. #: PH-ABT-HC-RFC1040
American Biotech $4,325.00 In Stock
Pharmacy cu.ft Solid

2 products available

Image Product Name Mfr # Brand Price Availability
ABS Pharmacy 4.6 cu.ft Solid Door Refrigerator/ 1 Cu. Ft. Solid Door Freezer Controlled Auto Defrost
ABS Pharmacy 4.6 cu.ft Solid Door Refrigerator/ 1 Cu. Ft. Solid Door Freezer Con...
Mfr. #: PH-ABT-HC-RFC7S-CAD
American Biotech $4,529.00 In Stock
ABS Pharmacy 4.6 cu.ft Solid Door Refrigerator/1.7 Cu. Ft. Solid Door Freezer Auto Defrost
ABS Pharmacy 4.6 cu.ft Solid Door Refrigerator/1.7 Cu. Ft. Solid Door Freezer Au...
Mfr. #: PH-ABT-HC-RFC7SA
American Biotech $3,299.00 In Stock
Pharmacy Glass Door

3 products available

Image Product Name Mfr # Brand Price Availability
ABS Pharmacy Glass Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-20)
ABS Pharmacy Glass Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-...
Mfr. #: PH-ABT-HC-RFC1020G
American Biotech $3,809.00 In Stock
ABS Pharmacy Glass Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-30)
ABS Pharmacy Glass Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-...
Mfr. #: PH-ABT-HC-RFC1030G
American Biotech $3,915.00 In Stock
ABS Pharmacy Glass Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-40)
ABS Pharmacy Glass Door 5.2 Cu. Ft. Refrigerator/Solid Door 4 Cu. Ft. Freezer (-...
Mfr. #: PH-ABT-HC-RFC1040G
American Biotech $4,329.00 In Stock
Premier Pharmacy/Vaccine Refrigerator

7 products available

Image Product Name Mfr # Brand Price Availability
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 12 Cu. Ft. Auto Defrost Freezer
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 12 Cu. Ft. Auto...
Mfr. #: PH-ABT-HC-RFC12A
American Biotech $4,995.00 In Stock
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 12 Cu. Ft. Controlled Auto Defrost
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 12 Cu. Ft. Contr...
Mfr. #: PH-ABT-HC-RFC12A-CAD
American Biotech $5,975.00 In Stock
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 12 Cu.Ft. 1 Glass & 1 Solid Door
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 12 Cu.Ft. 1 Glas...
Mfr. #: PH-ABT-HC-RFC12G
American Biotech $5,499.00 In Stock
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 12 Cu.Ft. 2 Solid Doors
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 12 Cu.Ft. 2 Soli...
Mfr. #: PH-ABT-HC-RFC12
American Biotech $5,799.00 In Stock
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 7 Cu.Ft. Manual Defrost Freezer
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 7 Cu.Ft. Manual...
Mfr. #: PH-ABT-HC-RFC7
American Biotech $3,549.00 In Stock
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 9 Cu.Ft. 2 Solid Doors
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 9 Cu.Ft. 2 Solid...
Mfr. #: PH-ABT-HC-RFC9
American Biotech $3,605.00 In Stock
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 9 Cu.Ft.1 Glass & 1 Solid Door
ABS Premier Pharmacy/Vaccine Refrigerator & Freezer Combination 9 Cu.Ft.1 Glass...
Mfr. #: PH-ABT-HC-RFC9G
American Biotech $3,915.00 In Stock
Premier Pharmacy/Vaccine Stainless

1 product available

Image Product Name Mfr # Brand Price Availability
ABS Premier Pharmacy/Vaccine Stainless Steel Refrigerator & Freezer Combination 9 Cu. Ft.
ABS Premier Pharmacy/Vaccine Stainless Steel Refrigerator & Freezer Combination...
Mfr. #: PH-ABT-HC-RFC9SS
American Biotech $4,349.00 In Stock
Premier Vaccine Refrigerator

1 product available

Image Product Name Mfr # Brand Price Availability
ABS Premier Vaccine Refrigerator & Freezer Combination 7 Cu. Ft. Auto Defrost Freezer
ABS Premier Vaccine Refrigerator & Freezer Combination 7 Cu. Ft. Auto Defrost Fr...
Mfr. #: PH-ABT-HC-RFC7A
American Biotech $3,555.00 In Stock
Accucold Wide Series

8 products available

Image Product Name Mfr # Brand Price Availability
Accucold 20" Wide Series Refrigerator & Freezer Comb LHD Glass/Solid Door 5.3 Cu. Ft. Cap White
Accucold 20" Wide Series Refrigerator & Freezer Comb LHD Glass/Solid Door 5.3 Cu...
Mfr. #: ARG31PVBIADA-AFZ2PVBIADASTACKLHD
Summit Appliance Div. $4,589.00 In Stock
Accucold 20" Wide Series Refrigerator & Freezer Comb RHD Glass/Solid Door 5.3 Cu. Ft. Cap White
Accucold 20" Wide Series Refrigerator & Freezer Comb RHD Glass/Solid Door 5.3 Cu. Ft. Cap White
Accucold 20" Wide Series Refrigerator & Freezer Comb RHD Glass/Solid Door 5.3 Cu...
Mfr. #: ARG31PVBIADA-AFZ2PVBIADASTACK
Summit Appliance Div. $4,489.00 In Stock
Accucold 20" Wide Series Refrigerator & Freezer Comb. LHD Solid Door 5.3 Cu. Ft. Capacity White
Accucold 20" Wide Series Refrigerator & Freezer Comb. LHD Solid Door 5.3 Cu. Ft....
Mfr. #: ARS32PVBIADA-AFZ2PVBIADASTACKLHD
Summit Appliance Div. $4,649.00 In Stock
Accucold 20" Wide Series Refrigerator & Freezer Comb. RHD Solid Door 5.3 Cu. Ft. Capacity White
Accucold 20" Wide Series Refrigerator & Freezer Comb. RHD Solid Door 5.3 Cu. Ft....
Mfr. #: ARS32PVBIADA-AFZ2PVBIADASTACK
Summit Appliance Div. $4,585.00 In Stock
Accucold 24" Wide Series Refrigerator & Freezer Comb LHD Glass/Solid Door 9.88 Cu. Ft. Cap White
Accucold 24" Wide Series Refrigerator & Freezer Comb LHD Glass/Solid Door 9.88 C...
Mfr. #: ARG6PV-AFZ5PVBIADASTACKLHD
Summit Appliance Div. $5,199.00 In Stock
Accucold 24" Wide Series Refrigerator & Freezer Comb RHD Glass/Solid Door 9.88 Cu. Ft. Cap White
Accucold 24" Wide Series Refrigerator & Freezer Comb RHD Glass/Solid Door 9.88 C...
Mfr. #: ARG6PV-AFZ5PVBIADASTACK
Summit Appliance Div. $5,089.00 In Stock
Accucold 24" Wide Series Refrigerator & Freezer Comb. LHD Solid Door 9.88 Cu. Ft. Capacity White
Accucold 24" Wide Series Refrigerator & Freezer Comb. LHD Solid Door 9.88 Cu. Ft...
Mfr. #: ARS6PV-AFZ5PVBIADASTACKLHD
Summit Appliance Div. $5,255.00 In Stock
Accucold 24" Wide Series Refrigerator & Freezer Comb. RHD Solid Door 9.88 Cu. Ft. Capacity White
Accucold 24" Wide Series Refrigerator & Freezer Comb. RHD Solid Door 9.88 Cu. Ft...
Mfr. #: ARS6PV-AFZ5PVBIADASTACK
Summit Appliance Div. $5,139.00 In Stock
Accucold Vaccine Refrigerator/Freezer

4 products available

Image Product Name Mfr # Brand Price Availability
Accucold Vaccine Refrigerator/Freezer Combination 9.4 Cu Ft 23-5/8"W x 24-3/8 "D x68"H Solid Door
Accucold Vaccine Refrigerator/Freezer Combination 9.4 Cu Ft 23-5/8"W x 24-3/8 "D...
Mfr. #: ARS6PV-VT65MLSTACKMED2
Summit Appliance Div. $4,929.00 In Stock
Accucold Vaccine Refrigerator/Freezer Combination 9.4 CuFt 23-3/8"W x 24-3/8"D x73.5"H Glass Door
Accucold Vaccine Refrigerator/Freezer Combination 9.4 CuFt 23-3/8"W x 24-3/8"D x...
Mfr. #: ARG8PV-FS24LSTACKMED2
Summit Appliance Div. $4,299.00 In Stock
Accucold Vaccine Refrigerator/Freezer Combination 9.4 CuFt 23-3/8"W x 24-3/8"D x73.5"H Solid Door
Accucold Vaccine Refrigerator/Freezer Combination 9.4 CuFt 23-3/8"W x 24-3/8"D x...
Mfr. #: ARS8PV-FS24LSTACKMED2
Summit Appliance Div. $4,069.00 In Stock
Accucold Vaccine Refrigerator/Freezer Combination 9.4 CuFt 23-5/8"W x 24-3/8 "D x68"H Glass Door
Accucold Vaccine Refrigerator/Freezer Combination 9.4 CuFt 23-5/8"W x 24-3/8 "D...
Mfr. #: ARG6PV-VT65MLSTACKMED2
Summit Appliance Div. $4,519.00 In Stock